Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
发送反馈
Method: projects.locations.brands.sessionRecords.list
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
GET https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/sessionRecords
网址采用 gRPC 转码 语法。
路径参数
参数
parent
string
必需。要列出订单会话的品牌。格式:projects/{project}/locations/{location}/brands/{brand}
查询参数
参数
pageSize
integer
可选。要返回的会话记录数上限。服务返回的值可能小于此值。如果未指定,则最多返回 50 个会话。最大值为 1,000;大于 1,000 的值将被强制转换为 1,000。
pageToken
string
可选。从之前的 sessionRecords.list 调用接收的页面令牌。利用其进行后续页面检索。
filter
string
可选。基于 AIP-160 的过滤表达式。此字段允许根据各种属性过滤会话记录。
支持的过滤字段:
session_id(字符串):会话的 ID。运算符:= 示例:session_id = "session-123"
storeId(字符串):商店的 ID。运算符:=、!= 示例:storeId = "store-123"
sessionStartTime(时间戳):会话的开始时间。时间戳应采用 RFC-3339 格式的字符串(例如 2012-04-21T11:30:00-04:00)。支持 UTC 偏移量运算符:=、!=、
、>=、<、<= 示例:sessionStartTime >= "2025-10-01T00:00:00Z"
outcomeLabel(字符串):会话的最终结果标签。运算符:=、!= 示例:outcomeLabel = "SUCCESS"
outcomeGroupLabel(字符串):会话结果的组标签。运算符:=、!= 示例:outcomeGroupLabel = "SUCCESS"
predictedFailureCategory(字符串):干预分析得出的会话的预测失败类别。运算符:=、!= 示例:predictedFailureCategory = "Menu"
agent_utterances(字符串):智能体说出的文本。运算符::(包含词元/全文搜索)示例:agent_utterances:"anything else"
user_utterances(字符串):用户所说的文本。运算符::(包含词元/全文搜索)示例:user_utterances:"burger"
逻辑运算符:
可以使用 AND、OR 和 NOT 组合条件。可以使用英文括号 () 对表达式进行分组,以控制评估顺序。示例:(user_utterances:"help" OR agent_utterances:"issue")
AND storeId != "test-store" 示例:user_utterances:"order" AND
sessionStartTime >= "2025-10-03T00:00:00Z"
响应正文
针对 [SessionRecordService.ListSessionRecords][] 的响应消息。
如果成功,响应正文将包含结构如下的数据:
JSON 表示法
{
"sessionRecords" : [
{
object (SessionRecord )
}
] ,
"nextPageToken" : string
}
字段
sessionRecords[]
object (SessionRecord )
会话记录的列表。
nextPageToken
string
可作为 pageToken 发送并用于检索下一页的令牌。如果省略此字段,则不存在后续页面。
授权范围
需要以下 OAuth 范围:
https://www.googleapis.com/auth/cloud-platform
如需了解详情,请参阅 Authentication Overview 。
发送反馈
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可 获得了许可,并且代码示例已根据 Apache 2.0 许可 获得了许可。有关详情,请参阅 Google 开发者网站政策 。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2026-05-22。
需要向我们提供更多信息?
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["很难理解","hardToUnderstand","thumb-down"],["信息或示例代码不正确","incorrectInformationOrSampleCode","thumb-down"],["没有我需要的信息/示例","missingTheInformationSamplesINeed","thumb-down"],["翻译问题","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2026-05-22。"],[],[]]